HPE Greenlake For Storage Fleet REST APIs
HPE Greenlake For Storage Fleet REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/2a0df0fe6f7dc7bb16000000000000000000004817/enclosures \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
Identifier of the Storage system Enclosure. Filter, Sort
Example: "default.enclosure-0"
The Assembly serial number of the Enclosure.
Example: "FDBCVFU6578DGF"
Identifies whether the Enclosure contains computer controllers or is a JBOF. Filter, Sort
Example: "Node"
The unique identifier of the Storage system to which the Enclosure belongs.
Example: "123abcd4-5e67-890f-g123-4hi5j67kl8m9"
The URI of the Storage system to which the Enclosure belongs.
Example: "/api/sc.hpe.com/v1/default/enclosures/enclosure-0"
Customer ID for the Storage system Enclosure. Filter, Sort
Example: "ab1c23456d78901e23fghijk456lm7no"
The serial number of the Enclosure. Filter, Sort
Example: "AB1234C5D6"
Response
application/json
{ "items": [ { … } ], "count": 0, "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/2a0df0fe6f7dc7bb16000000000000000000004817/enclosures/2a0df0fe6f7dc7bb16000000000000000000004007 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "assemblySerialNumber": "DGFUFOV6578FH", "chassisType": "Node", "customerId": "ab1c23456d78901e23fghijk456lm7no", "generation": 1692945579, "id": "default.enclosure-0", "partNumber": "", "serialNumber": "AB1234C5D6", "systemId": "1AB234CDEF", "apiVersion": "sc.hpe.com/v1", "associatedLinks": [ { … } ], "clusterId": "123abcd4-5e67-890f-g123-4hi5j67kl8m9", "clusterRef": "/api/sc.hpe.com/v1/default/enclosures/enclosure-0", "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "E01", "errMessage": "This storage system is not actively monitored in the cloud portal. Data Services Cloud Console proactively disabled monitoring and management of storage system with serial number {systemId} for sending excessive cloud events or for not responding to requests." }, "kind": "Enclosure", "resourceUri": "/storage-fleet/v1/devtype7-storage-systems/4UN042PTDW", "status": { "aggregateRawStorageCapacity": 120, "chassisSensors": [ … ], "conditions": [ … ], "disks": [ … ], "fanOverallStatus": "Ok", "ioModules": [ … ], "lastModifiedTime": "2023-08-24T07:14:33Z", "locatorLedState": "Off", "logicalClusterSerialNumber": "ABGFDYRKJ1", "observedGeneration": 8, "psuOverallStatus": "Ok", "ready": true, "tempOverallStatus": "Ok" }, "type": "enclosure" }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype7-storage-systems/{systemId}/enclosures/{enclosureId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PUT \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/2a0df0fe6f7dc7bb16000000000000000000004817/enclosures/2a0df0fe6f7dc7bb16000000000000000000004007 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }